## nvme-cli 2.2.1

=== debian/changelog ===
nvme-cli (2.2.1-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Removing installation directories overrides, not needed anymore with
    current systemd (Closes: #1026054, #1027432).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2023 10:02:45 +0100

nvme-cli (2.2.1-2) sid; urgency=medium

  * Uploading to sid.
  * Removing now uneeded build-depends on libhugetlbfs, thanks to Lukas
    Märdian <slyon@ubuntu.com> (Closes: #1025230).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Dec 2022 14:50:14 +0100

nvme-cli (2.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.1.
  * Removing uuid-dev build-dependency, not needed anymore.
  * Updating libnvme-dev build-depends for 1.2.
  * Refreshing meson-nose2.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 05 Nov 2022 19:23:57 +0100

nvme-cli (2.1.2-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Oct 2022 16:04:54 +0200

nvme-cli (2.1.2-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.1.2.
  * Updating libnvme build-depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Aug 2022 14:32:51 +0200

nvme-cli (2.1~rc0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.1~rc0 (Closes: #1015722).
  * Refreshing meson-nose2.patch.
  * Updating version of libnvme build-depends as necessary.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Jul 2022 07:18:42 +0200

nvme-cli (2.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.0.
  * Updating packaging for upstreams migration to meson,
    temporarily skipping udeb-build (needs further work).
  * Also removing /etc/nvme (if empty) on purge.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 16 Jul 2022 18:32:50 +0200

nvme-cli (1.16-4) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2022.
  * Updating to standards version 4.6.1.
  * Removing trailing whitespace in changelog.
  * Adding version mangling in watch file.
  * Updating http links to https in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 16 Jul 2022 17:04:24 +0200

=== debian/control ===
Source: nvme-cli
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 asciidoc,
 cmake,
 debhelper-compat (= 13),
 flake8 <!nocheck>,
 isort <!nocheck>,
 libjson-c-dev,
 libnvme-dev (>= 1.2),
 libssl-dev,
 meson,
 mypy <!nocheck>,
 pkg-config,
 python3-autopep8 <!nocheck>,
 python3-nose2 <!nocheck>,
 uuid-runtime,
 xmlto,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/linux-nvme/nvme-cli
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli

Package: nvme-cli
Section: admin
Architecture: any
Depends:
 uuid-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pci.ids,
Description: NVMe management tool
 NVM Express (NVMe) is a interface specification for accessing non-volatile
 storage media, typically modern solid state drives (SSDs) through PCI Express
 (PCIe).
 .
 The nvme-cli tool provides management functions for these devices.

Package: nvme-cli-udeb
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: NVMe management tool

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=man -Ddocs-build=true

execute_after_dh_auto_install:
	# temporarily building without udeb
	rm -rf debian/nvme-cli
	mv debian/tmp debian/nvme-cli

	# removing unused files
	rm -rf debian/nvme-cli/usr/lib/dracut

	# fix wrong-manual-section
	sed -i -e 's|\\" "1"|" "1"|' debian/nvme-cli/usr/share/man/*/*.1

override_dh_auto_test:
	# disabled, requires a NVMe device

## nvme-cli 2.3

=== debian/changelog ===
nvme-cli (2.3-2) sid; urgency=medium

  * Uploading to sid.
  * Adding missing build-depends to libdbus-1-dev.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 06:32:17 +0100

nvme-cli (2.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.
  * Bumping libnvme build-depends.
  * Updating copyright for 2023.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 31 Jan 2023 05:13:39 +0100

nvme-cli (2.2.1-4) sid; urgency=medium

  * Uploading to sid.
  * Dropping (currently empty) udeb, it has never been used and was added
    because of a wishlist bug, would require more work to make it work but
    is not used for bookworm anyway.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 11:42:43 +0100

## nvme-cli 2.4+really2.3

=== Makefile ===
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This file is part of nvme.
# Copyright (c) 2021 Dell Inc.
#
# Authors: Martin Belanger <Martin.Belanger@dell.com>
#
NAME          := nvme
.DEFAULT_GOAL := ${NAME}
BUILD-DIR     := .build

${BUILD-DIR}:
	meson $@
	@echo "Configuration located in: $@"
	@echo "-------------------------------------------------------"

.PHONY: ${NAME}
${NAME}: ${BUILD-DIR}
	ninja -C ${BUILD-DIR}

.PHONY: clean
clean:
ifneq ("$(wildcard ${BUILD-DIR})","")
	ninja -C ${BUILD-DIR} -t $@
endif

.PHONY: purge
purge:
ifneq ("$(wildcard ${BUILD-DIR})","")
	rm -rf ${BUILD-DIR}
endif

.PHONY: install dist
install dist: ${BUILD-DIR}
	cd ${BUILD-DIR} && meson $@

.PHONY: uninstall
uninstall:
	cd ${BUILD-DIR} && meson --internal uninstall

.PHONY: test
test: ${BUILD-DIR}
	ninja -C ${BUILD-DIR} $@

.PHONY: rpm
rpm:
	meson ${BUILD-DIR} \
		-Dudevrulesdir=$(shell rpm --eval '%{_udevrulesdir}') \
		-Dsystemddir=$(shell rpm --eval '%{_unitdir}') \
		-Ddocs=man -Ddocs-build=true
	rpmbuild -ba ${BUILD-DIR}/nvme.spec --define "_builddir ${BUILD-DIR}" -v

.PHONY: debug
debug:
	meson ${BUILD-DIR} --buildtype=debug
	ninja -C ${BUILD-DIR}

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
option('version-tag', type : 'string', description : 'override the git version string')
option('udevrulesdir', type : 'string', value : 'lib/udev/rules.d', description : 'directory for udev rules files')
option('dracutrulesdir', type : 'string', value : 'lib/dracut/dracut.conf.d/', description : 'directory for dracut rules files')
option('systemddir', type : 'string', value : 'lib/systemd/system', description : 'directory for systemd files')
option('htmldir', type : 'string', value : '', description : 'directory for HTML documentation')
option('systemctl', type : 'string', value : '/usr/bin/systemctl', description : 'path to systemctl binary')
option('nvme-tests', type : 'boolean', value : false, description: 'Run tests against real hardware')
option('docs', type : 'combo', choices : ['false', 'html', 'man', 'all'], description : 'install documentation')
option('docs-build', type : 'boolean', value : false, description : 'build documentation')
option('pdc-enabled', type: 'boolean', value : false, description : 'set default Persistent Discovery Controllers behavior')

=== debian/changelog ===
nvme-cli (2.4+really2.3-3) sid; urgency=medium

  * Uploading to sid.
  * Overwriting systemd unit directory until debhelper supports
    /usr/lib/systemd/system (Closes: #1034232).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Apr 2023 10:18:22 +0200

nvme-cli (2.4+really2.3-2) sid; urgency=medium

  * Uploading to sid.
  * Reverting removal of systemd.patch in nvme-cli 2.4, this package is
    identical again to 2.3-2 (before the accidental upload to sid instead
    of unstable).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2023 14:38:48 +0200

nvme-cli (2.4+really2.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.4+really2.3.
  * Reverting bump of libnvme build-depends, the nvme-cli 2.4-1 upload
    should have gone to experimental.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 10:18:26 +0200

nvme-cli (2.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.4.
  * Bumping libnvme build-depends.
  * Removing systemd.patch, not needed anymore.
  * Renumbering patches.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 10:00:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  debhelper-compat (= 13),
  flake8 <!nocheck>,
  isort <!nocheck>,
+ libdbus-1-dev,
  libjson-c-dev,
- libnvme-dev (>= 1.2),
+ libnvme-dev (>= 1.3),
  libssl-dev,
  meson,
  mypy <!nocheck>,
@@ -40,12 +41,3 @@
  (PCIe).
  .
  The nvme-cli tool provides management functions for these devices.
-
-Package: nvme-cli-udeb
-Section: debian-installer
-Package-Type: udeb
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: NVMe management tool

=== debian/watch ===
version=4
opts="pgpmode=auto, filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nvme-cli-$1\.tar\.gz/, \
      uversionmangle=s/(\d)\-?((pre|rc)\d*)$/$1~$2/" \
https://github.com/linux-nvme/nvme-cli/tags .*/v?(\d\S+)\.tar\.gz

## nvme-cli 2.5

=== debian/changelog ===
nvme-cli (2.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.5.
  * Refreshing meson-nose2.patch.
  * Refreshing meson-systemd.patch.
  * Bumping libnvme build-depends to 1.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Jul 2023 00:38:58 +0200

nvme-cli (2.4+really2.4-3) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:29:05 +0200

nvme-cli (2.4+really2.4-2) experimental; urgency=medium

  * Uploading to experimental.
  * Overwriting systemd unit directory until debhelper supports
    /usr/lib/systemd/system (Closes: #1034232).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Apr 2023 10:14:01 +0200

nvme-cli (2.4+really2.4-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.4+really2.4.
  * Bumping libnvme build-depends.
  * Removing systemd.patch, not needed anymore.
  * Renumbering patches.
  * Adding libkeyutils-dev to build-depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2023 14:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  isort <!nocheck>,
  libdbus-1-dev,
  libjson-c-dev,
- libnvme-dev (>= 1.3),
+ libkeyutils-dev,
+ libnvme-dev (>= 1.5),
  libssl-dev,
  meson,
  mypy <!nocheck>,

## nvme-cli 2.7.1

=== debian/changelog ===
nvme-cli (2.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.7.1.
  * Bumping libnvme build-depends to 1.7.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 24 Dec 2023 09:00:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.5),
+ libnvme-dev (>= 1.7),
  libssl-dev,
  meson,
  mypy <!nocheck>,

## nvme-cli 2.8

=== Makefile ===
--- 
+++ 
@@ -54,3 +54,11 @@
 debug:
 	meson ${BUILD-DIR} --buildtype=debug
 	ninja -C ${BUILD-DIR}
+
+.PHONY: static
+static:
+	meson ${BUILD-DIR} --buildtype=release \
+		--default-library=static -Dc_link_args="-static" \
+		--wrap-mode=forcefallback \
+		-Dlibnvme:tests=false -Dlibnvme:keyutils=disabled
+	ninja -C ${BUILD-DIR}

=== debian/changelog ===
nvme-cli (2.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:55 +1100

nvme-cli (2.8-1build1) noble; urgency=high

  * No change rebuild against libnvme1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:37 +0100

nvme-cli (2.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.8.
  * Updating copyright for 2024.
  * Bumping libnvme build-depends to 1.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 19 Feb 2024 11:45:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nvme-cli
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
  cmake,
@@ -11,7 +12,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.7),
+ libnvme-dev (>= 1.8),
  libssl-dev,
  meson,
  mypy <!nocheck>,

## nvme-cli 2.9.1

=== debian/changelog ===
nvme-cli (2.9.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.9.1.
  * Updating to standards-version 4.7.0.
  * Bumping libnvme build-depends to 1.9.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 May 2024 13:09:28 +0200

nvme-cli (2.8-2) sid; urgency=medium

  * Uploading to sid.
  * Moving systemd units to /usr (Closes: #1059430).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 06 Mar 2024 07:08:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nvme-cli
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
  cmake,
@@ -12,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.8),
+ libnvme-dev (>= 1.9),
  libssl-dev,
  meson,
  mypy <!nocheck>,
@@ -23,7 +22,7 @@
  xmlto,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/linux-nvme/nvme-cli
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli

## nvme-cli 2.10.2

=== debian/changelog ===
nvme-cli (2.10.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.10.2.
  * Removing meson-missing-manpages.patch, not required anymore.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 07 Aug 2024 08:24:49 +0200

nvme-cli (2.10-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.10.
  * Bumping libnvme build-depends to 1.10.
  * Removing avoid-unsupported-arm64-instructions.patch, included
    upstream.
  * Removing fix-ftbfs-t64.patch, included upstream.
  * Adding patch to remove missing manpage in meson.build to fix FTBFS.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 05 Aug 2024 10:39:08 +0200

nvme-cli (2.9.1-3) sid; urgency=medium

  * Uploading to sid.
  * Correcting spelling-typo in filename of avoid-unsupported-
    arm64-instructions.patch.
  * Adding patch from upstream to fix FTBFS with t64 (Closes: #1077063).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 19:36:50 +0200

nvme-cli (2.9.1-2) sid; urgency=medium

  * Uploading to sid.
  * Adding patch from upstream to avoid using unsupported load/store
    instructions in arm64 VMs that sometimes can lead to VM termination.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 13:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.9),
+ libnvme-dev (>= 1.10),
  libssl-dev,
  meson,
  mypy <!nocheck>,

## nvme-cli 2.11

=== Makefile ===
--- 
+++ 
@@ -10,18 +10,18 @@
 BUILD-DIR     := .build
 
 ${BUILD-DIR}:
-	meson $@
+	meson setup $@
 	@echo "Configuration located in: $@"
 	@echo "-------------------------------------------------------"
 
 .PHONY: ${NAME}
 ${NAME}: ${BUILD-DIR}
-	ninja -C ${BUILD-DIR}
+	meson compile -C ${BUILD-DIR}
 
 .PHONY: clean
 clean:
 ifneq ("$(wildcard ${BUILD-DIR})","")
-	ninja -C ${BUILD-DIR} -t $@
+	meson compile --clean -C ${BUILD-DIR}
 endif
 
 .PHONY: purge

=== debian/changelog ===
nvme-cli (2.11-2) sid; urgency=medium

  * Bumping libnvme build-depends to 1.11.
  * Updating source url in copyright.
  * Udpating vcs fields.
  * Updating my email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 12:35:08 +0100

nvme-cli (2.11-1) sid; urgency=medium

  * Merging upstream version 2.11.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 09:10:12 +0100

nvme-cli (2.6-1) sid; urgency=medium

  * Merging upstream version 2.6.
  * Bumping libnvme build-depends to 1.6.

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Oct 2023 14:53:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nvme-cli
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  asciidoc,
  cmake,
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.10),
+ libnvme-dev (>= 1.11),
  libssl-dev,
  meson,
  mypy <!nocheck>,
@@ -24,8 +24,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/linux-nvme/nvme-cli
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/nvme-cli
+Vcs-Browser: https://forgejo.debian.net/linux/nvme-cli
+Vcs-Git: https://forgejo.debian.net/linux/nvme-cli
 
 Package: nvme-cli
 Section: admin

## nvme-cli 2.12

=== debian/changelog ===
nvme-cli (2.12-2) sid; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Mar 2025 19:13:27 +0100

nvme-cli (2.12-1) sid; urgency=medium

  * Merging upstream version 2.12.
  * Updating year in upstream copyright for 2025.
  * Bumping libnvme build-depends to 1.12.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 08:11:55 +0100

nvme-cli (2.11-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:45:31 +0100

nvme-cli (1.12-8) sid; urgency=medium

  * Adopting package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 Jul 2021 22:41:27 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.11),
+ libnvme-dev (>= 1.12),
  libssl-dev,
  meson,
  mypy <!nocheck>,
@@ -22,10 +22,10 @@
  xmlto,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-nvme/nvme-cli
-Vcs-Browser: https://forgejo.debian.net/linux/nvme-cli
-Vcs-Git: https://forgejo.debian.net/linux/nvme-cli
+Vcs-Browser: https://forgejo.debian.net/nvme/nvme-cli
+Vcs-Git: https://forgejo.debian.net/nvme/nvme-cli
 
 Package: nvme-cli
 Section: admin

## nvme-cli 2.13

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,10 @@
 NAME          := nvme
 .DEFAULT_GOAL := ${NAME}
 BUILD-DIR     := .build
+
+.PHONY: update-subprojects
+update-subprojects:
+	meson subprojects update
 
 ${BUILD-DIR}:
 	meson setup $@
@@ -28,19 +32,29 @@
 purge:
 ifneq ("$(wildcard ${BUILD-DIR})","")
 	rm -rf ${BUILD-DIR}
+	meson subprojects purge --confirm
 endif
 
-.PHONY: install dist
-install dist: ${BUILD-DIR}
-	cd ${BUILD-DIR} && meson $@
+.PHONY: install
+install: ${NAME}
+	meson install -C ${BUILD-DIR} --skip-subprojects
 
 .PHONY: uninstall
 uninstall:
 	cd ${BUILD-DIR} && meson --internal uninstall
 
+.PHONY: dist
+dist: ${NAME}
+	meson dist -C ${BUILD-DIR} --formats gztar
+
 .PHONY: test
-test: ${BUILD-DIR}
-	ninja -C ${BUILD-DIR} $@
+test: ${NAME}
+	meson test -C ${BUILD-DIR}
+
+# Test strictly nvme-cli (do not run tests on all the subprojects)
+.PHONY: test-strict
+test-strict: ${NAME}
+	meson test -C ${BUILD-DIR} --suite nvme-cli
 
 .PHONY: rpm
 rpm:

=== debian/changelog ===
nvme-cli (2.13-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:55:52 +0200

nvme-cli (2.13-1) sid; urgency=medium

  * Merging upstream version 2.13.
  * Bumping libnvme build-depends to 1.13.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Apr 2025 11:52:23 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.12),
+ libnvme-dev (>= 1.13),
  libssl-dev,
  meson,
  mypy <!nocheck>,

=== debian/watch ===
version=4
https://github.com/linux-nvme/nvme-cli/tags .*/v?(\d.*)@ARCHIVE_EXT@

## nvme-cli 2.14

=== debian/changelog ===
nvme-cli (2.14-1) experimental; urgency=medium

  * Merging upstream version 2.14.
  * Bumping libnvme build-depends to 1.14.

 -- Daniel Baumann <daniel@debian.org>  Thu, 22 May 2025 13:01:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.13),
+ libnvme-dev (>= 1.14),
  libssl-dev,
  meson,
  mypy <!nocheck>,

## nvme-cli 2.15

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
option(
  'docs',
  type : 'combo',
  choices : ['false', 'html', 'man', 'all'],
  description : 'install documentation'
)
option(
  'docs-build',
  type : 'boolean',
  value : false,
  description : 'build documentation'
)
option(
  'dracutrulesdir',
  type : 'string',
  value : 'lib/dracut/dracut.conf.d/',
  description : 'directory for dracut rules files'
)
option(
  'htmldir',
  type : 'string',
  value : '',
  description : 'directory for HTML documentation'
)
option(
  'json-c',
  type: 'feature',
  value: 'auto',
  description: 'JSON suppport'
)
option(
  'nvme-tests',
  type : 'boolean',
  value : false,
  description: 'Run tests against real hardware'
)
option(
  'pdc-enabled',
  type: 'boolean',
  value : false,
  description : 'set default Persistent Discovery Controllers behavior'
)
option(
  'rundir',
  type: 'string',
  value: 'run',
  description: 'directory for volatile configuration files',
)
option(
  'systemctl',
  type : 'string',
  value : '/usr/bin/systemctl',
  description : 'path to systemctl binary'
)
option(
  'systemddir',
  type : 'string',
  value : 'lib/systemd/system',
  description : 'directory for systemd files'
)
option(
  'udevrulesdir',
  type : 'string',
  value : 'lib/udev/rules.d',
  description : 'directory for udev rules files'
)
option(
  'version-tag',
  type : 'string',
  description : 'override the git version string'
)

=== debian/changelog ===
nvme-cli (2.15-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:14:22 +0200

nvme-cli (2.15-1) experimental; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 2.15.
  * Bumping libnvme build-depends to 1.15.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Jul 2025 05:09:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.14),
+ libnvme-dev (>= 1.15),
  libssl-dev,
  meson,
  mypy <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,6 @@
 	dh_auto_configure -- -Ddocs=man -Ddocs-build=true
 
 execute_after_dh_auto_install:
-	# temporarily building without udeb
-	rm -rf debian/nvme-cli
-	mv debian/tmp debian/nvme-cli
-
 	# removing unused files
 	rm -rf debian/nvme-cli/usr/lib/dracut

## nvme-cli 2.16

=== Makefile ===
--- 
+++ 
@@ -25,15 +25,12 @@
 .PHONY: clean
 clean:
 ifneq ("$(wildcard ${BUILD-DIR})","")
-	meson compile --clean -C ${BUILD-DIR}
+	rm -rf ${BUILD-DIR}
+	meson subprojects purge --confirm
 endif
 
 .PHONY: purge
-purge:
-ifneq ("$(wildcard ${BUILD-DIR})","")
-	rm -rf ${BUILD-DIR}
-	meson subprojects purge --confirm
-endif
+purge: clean
 
 .PHONY: install
 install: ${NAME}
@@ -58,7 +55,7 @@
 
 .PHONY: rpm
 rpm:
-	meson ${BUILD-DIR} \
+	meson setup ${BUILD-DIR} \
 		-Dudevrulesdir=$(shell rpm --eval '%{_udevrulesdir}') \
 		-Dsystemddir=$(shell rpm --eval '%{_unitdir}') \
 		-Ddocs=man -Ddocs-build=true
@@ -66,13 +63,22 @@
 
 .PHONY: debug
 debug:
-	meson ${BUILD-DIR} --buildtype=debug
-	ninja -C ${BUILD-DIR}
+	meson setup ${BUILD-DIR} --buildtype=debug
+	meson compile -C ${BUILD-DIR}
 
 .PHONY: static
 static:
-	meson ${BUILD-DIR} --buildtype=release \
-		--default-library=static -Dc_link_args="-static" \
+	meson setup ${BUILD-DIR} --buildtype=release \
 		--wrap-mode=forcefallback \
-		-Dlibnvme:tests=false -Dlibnvme:keyutils=disabled
-	ninja -C ${BUILD-DIR}
+		--default-library=static \
+		--prefix=/usr \
+		-Dc_link_args="-static" \
+		-Dlibnvme:default_library=static \
+		-Dlibnvme:keyutils=disabled \
+		-Dlibnvme:liburing=disabled \
+		-Dlibnvme:python=disabled \
+		-Dlibnvme:openssl=disabled \
+		-Dlibnvme:tests=false \
+		-Dlibnvme:examples=false
+
+	meson compile -C ${BUILD-DIR}

=== debian/changelog ===
nvme-cli (2.16-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.
  * Merging upstream version 2.16.
  * Bumping libnvme build-depends to 1.16.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Nov 2025 09:46:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libdbus-1-dev,
  libjson-c-dev,
  libkeyutils-dev,
- libnvme-dev (>= 1.15),
+ libnvme-dev (>= 1.16),
  libssl-dev,
  meson,
  mypy <!nocheck>,
@@ -21,7 +21,6 @@
  uuid-runtime,
  xmlto,
  zlib1g-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/linux-nvme/nvme-cli
 Vcs-Browser: https://forgejo.debian.net/nvme/nvme-cli
